We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Word Processor is a feature rich UI component with editing capabilities like Microsoft Word. Also known as the document editor, it is used to create, edit, view, and print Word documents. It provides all the common Word processing features including editing text, formatting contents, resizing images and tables, finding and replacing text, bookmarks, tables of contents, printing, and importing and exporting Word documents.

An overview of React Word Processor.


Why choose Syncfusion React Word Processor?

React Word Processor high performance

High performance

The React Word Processor has been designed and optimized for high performance.

React Word Processor MS word editor

Microsoft-Word-like editor

The Word Processor is a feature-rich Word document editor component. With it, you can add a Microsoft-Word-like word processing solution in your web application.

React Word Processor restrict editing

Restrict editing

The Word Processor allows you to restrict editing. When a protected document has range permissions, only a unique user or user group is authorized to modify a separate text area.

React Word Processor comments

Add notes using comments

You can add comments to documents using Document Editor. In both code and the UI, you may add, navigate, and remove comments.

React Word Processor track and review

Track and review changes

The track changes feature keeps a record of changes and edits made to a document. You can then accept or reject the changes. It is a useful tool for managing modifications made by multiple reviewers in the same document.

React Word Processor responsiveness

Create and fill a form

The Word Processor has an intuitive UI for creating fillable forms in documents by inserting legacy form fields, just like Microsoft Word. Once the document is protected with the FormFieldsOnly restriction, users can fill the form.

React Word Processor themes

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes of word processor easily.

React Word Processor globalization

Globalization and localization

Enable users from different locales to use the component by formatting dates, currency, and numbering to suit preferences.


React Word Processor Code Example

Easily get started with the React Word Processor using a few simple lines of TSX code example as demonstrated below. Also explore our React Word Processor Example that shows you how to configure the word processor in React.

import { render } from 'react-dom';
import './index.css';
import * as React from 'react';
import { SampleBase } from './sample-base';
import { DocumentEditorContainerComponent, Toolbar } from '@syncfusion/ej2-react-documenteditor';
import { TitleBar } from './title-bar';

DocumentEditorContainerComponent.Inject(Toolbar);
// tslint:disable:max-line-length
export class Default extends SampleBase {
    constructor() {
        super(...arguments);
        this.hostUrl = 'https://ej2services.syncfusion.com/production/web-services/';
        this.onLoadDefault = () => {
            this.container.documentEditor.documentName = 'Getting Started';
            this.titleBar.updateDocumentTitle();
            this.container.documentChange = () => {
                this.titleBar.updateDocumentTitle();
                this.container.documentEditor.focusIn();
            };
        };
    }
    rendereComplete() {
        this.container.serviceUrl = this.hostUrl + 'api/documenteditor/';
        this.container.documentEditor.pageOutline = '#E0E0E0';
        this.container.documentEditor.acceptTab = true;
        this.container.documentEditor.resize();
        this.titleBar = new TitleBar(document.getElementById('documenteditor_titlebar'), this.container.documentEditor, true);
        this.onLoadDefault();
    }
    render() {
        return (<div className='control-pane'>
            <div className='control-section'>
                <div id='documenteditor_titlebar' className="e-de-ctn-title"></div>
                <div id="documenteditor_container_body">
                    <DocumentEditorContainerComponent id="container" ref={(scope) => { this.container = scope; }} style=display height={'590px'} enableToolbar={true} locale='en-US'/>
                </div>
            </div>
            <script>{window.onbeforeunload = function () {
            return 'Want to save your changes?';
        }}
            </script>
        </div>);
    }
}

render(<Default />, document.getElementById('sample'));

Open, edit and save

The React Word Processor (Document Editor) provides a new native file format called Syncfusion Document Text (*.sfdt). It helps maintain document import and export purely on the client-side.

An illustration of Microsoft Word compatibility.

Microsoft Word Compatible

Provides a .NET library that helps convert Word documents (DOCX, WordML, DOC, RTF, TXT) to SFDT format at server side.

Import SFDT documents in React Word Processor

Importing

Import the SFDT format document content from a local file or string.

Export documents as DOCX, SFDT in React Word Processor

Exporting

Export the document content to SFDT and DOCX formats as a blob or downloadable file.


Find and replace

The React Word Processor comes with a Microsoft Word-inspired navigation pane. It provides intuitive UI options to search text, navigate between the results, and replace it with other text.

Find and replace functionality in React Word Processor.


Printing

The React Word Processor allows users to print an entire document or a specific page directly from the browser.

Print document using React Word Processor


User-friendly interactions

Enjoy a smooth and user-friendly experience for mouse, touch, and keyboard interfaces with React Word Processor.

Intuitive, touch-friendly selection in React Word Processor

Selection

Flexible selection options using mouse, touch, or Microsoft Word like keyboard shortcuts.

Interactive, touch-friendly scrolling in React Word Processor

Scrolling

Scroll multiple pages of a document rapidly.

Interactive, touch-friendly zooming in React Word Processor

Zooming

Interactively zoom in and zoom out the page contents. Users can easily change view to fit a page or page width.


Seamless editing

The React Word Processor provides seamless editing experience and offers intuitive and touch-friendly UI options like context menus, dialogs, and a navigation pane.

Cut, copy, and paste rich text in React Word Processor

Clipboard

Cut, copy, and paste of formatted content within the same document. Also paste plain text to and from other applications.

Undo and redo in React Word Processor

Undo and redo

Perform multiple levels of undo and redo operations.

Dialog in React Word Processor

Dialog

Insert document elements and apply advanced formatting options with ease.

Context menu in React Word Processor

Context menu

The context menu provides options to perform common editing actions. The list of actions is updated automatically based on the selection context.

Interactive image resizing in React Word Processor

Image resizing

Provides an awesome user experience to interactively resize an image using mouse or touch.

Interactive table resizing in React Word Processor

Table resizing

Adjust a row height or column width interactively.


Document elements

The React Word Processor includes all the commonly used document elements like text, images, tables, hyperlinks, bookmarks, table of contents, page fields, sections, headers, and footers.

Text

Create or edit documents with text in various languages.

Images

Easily browse for an image file or online image URL and insert text in line . Common raster image formats like PNG, BMP, JPEG, and GIF, are supported.

Table

Create simple or complex nested tables using built-in dialog. Also add or remove rows and columns, define header rows, merge, or resize cells depending on their contents.

Bookmarks

Mark a place in the document to find it again easily. Users can enter as many bookmarks as needed in the document and give each one a unique name to identify it.

Page fields

Add dynamic page numbers to a document that updates automatically.

Breaks

Use line break, page break, or section break to get the documents formatted better.

Link text for quick access to web page, file, email, bookmark, etc. Users can insert links using built-in dialog and Microsoft Word-inspired automatic conversion of text to link. Moreover, navigation can be customized to open the target from other applications.

Table of contents

Outline the headings in a document and easily navigate to it, and shows page numbers too. Users can customize it using built-in dialog.

Headers and footers

Easily add page numbers, dates, or author’s name at one place to be repeated at the top or bottom of each page. However, users can specify different headers or footers for the first page and odd and even pages of each section.


Formatting

The React Word Processor includes all the commonly used document formatting options.

Text formatting

Format text using bold, italics, underline, font family, size, color, highlight, subscript, superscript, and more.

Paragraph formatting

Format paragraphs with indentation, alignment, and spacing.

Bullets and numbering

Organize items or create an outline of a document with bullets and numbering. Both single and multilevel lists can be added.

Styles

Apply built-in styles to ensure consistency within a document. In addition, modify it or create custom styles. Both character and paragraph styles are supported in React Word Processor.

Table formatting

Format the table with indent, alignment, cell margins and spacing, borders, shadings, row height, break row across pages, and more.

Page settings

Design the structure and layout of document pages in each section by customizing size, margins, header distance, footer distance, etc.





Other supported frameworks

Word Processor is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Word Processor platforms from the links below,

Supported browsers

The Vue Word Processor works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers

80+ REACT UI COMPONENTS

Frequently Asked Questions

  • Experience seamless and Microsoft Word like WYSIWYG editing capabilities.
  • Compatible with Microsoft Word file formats (DOC, DOCX) and other formats such as RTF and SFDT (Syncfusion Document Text) format files.
  • Offers highly intuitive user interfaces.
  • Designed and optimized for high performance in every aspect.
  • One of the best React Word Processor in the market that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with React Word Processor.

You can find our React Word Processor demo, which demonstrates how to render and configure the Word Processor.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile

Syncfusion Feedback

Add a Powerful, Word-Like Editor to Your Web Apps

  • Precise WYSIWYG editor similar to Word
  • Core editing in-browser
  • Secure, compliance-ready design

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Try our live demo.

Why our Vue DOCX Editor is essential?

Securely edit native DOCX files right within your web application—no need to juggle between Microsoft Word, Google Docs, or deal with version chaos. Our Vue DOCX Editor offers real-time collaboration, smooth WYSIWYG editing, and enterprise-grade performance, all while keeping your data safe. It’s trusted by 80% of Fortune 500 companies to power their document workflows.

Try full-featured Word editing in real time—upload your DOCX file, use track changes, insert comments, format sections, and export your work as a Word document.

Explore Other Samples

Read Documentation

Enterprise-ready document editing power

Edit securely in the browser

Designed for privacy-conscious environments, our Vue DOCX Editor supports selective client-side editing to ensure secure data flow. Sensitive content stays local to the device unless you enable backend functionality. Implement fine-grained permissions and protected, fillable forms to achieve full document control—ideal for industries like legal, healthcare, education, and finance that demand strict compliance.

  • No third-party data exposure
  • Fully compliant with stringent standards such as HIPAA, GDPR, and SOC 2.

See DOCX Editing in Action

Edit securely in the browser.


Genuine WYSIWYG editing experience

Enjoy a truly accurate “what you see is what you get” (WYSIWYG) editing environment, with exceptional DOCX fidelity that ensures your final output matches what you see during editing. Formatting and styling remain consistent across Word processors, eliminating layout shifts and maintaining professional standards.

  • Precise rendering of tables, images, and styles
  • Reliable output across formats like DOCX and PDF
  • Advanced layout support including margins, columns, and page breaks

Get Started Now

True WYSIWYG experience


Ultra-fast word editing

Designed for maximum speed and efficiency, our Word Document Editor delivers a highly responsive experience—even when working with large, complex files. While many Vue editors slow down or crash with documents over 500 pages, our optimized architecture ensures smooth, uninterrupted editing that boosts productivity and user satisfaction.

  • Optimized memory usage to prevent browser crashes
  • Progressive loading for immediate interaction
  • Responsive interface powered by background processing

Get Started Now

Blazing fast DOCX Editor SDK.


Real-time document collaboration

Our DOCX Editor SDK enables multiple users to work on the same document simultaneously, with live updates reflecting changes as they happen. This streamlines teamwork by removing the need to wait for others to finish editing.

  • Live cursors show each user’s position
  • User presence indicator
  • Track and review changes with accept, reject, or filter edits
  • Comments with user tagging, easy navigation, and removal

Explore collaborative editing

Collaboration in real time.


<template>
  <div id="app">
    <ejs-documenteditorcontainer ref='documenteditor' :serviceUrl='serviceUrl' style='height:600px;' id='container' :toolbarMode="'Ribbon'"
      :enableToolbar='true'></ejs-documenteditorcontainer> 
  </div>
</template>
<script>
import Vue from 'vue';
import { DocumentEditorContainerPlugin, Ribbon} from '@syncfusion/ej2-vue-documenteditor';
 
Vue.use(DocumentEditorContainerPlugin);
 
export default {
  data() {
    return { serviceUrl:'https://document.syncfusion.com/web-services/docx-editor/api/documenteditor/' };
  },
  provide: {
    DocumentEditorContainer: [Ribbon]
  }
}
</script>
<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-inputs/styles/material.css';
@import '../node_modules/@syncfusion/ej2-popups/styles/material.css';
@import '../node_modules/@syncfusion/ej2-lists/styles/material.css';
@import '../node_modules/@syncfusion/ej2-navigations/styles/material.css';
@import '../node_modules/@syncfusion/ej2-splitbuttons/styles/material.css';
@import '../node_modules/@syncfusion/ej2-dropdowns/styles/material.css';
@import "../node_modules/@syncfusion/ej2-documenteditor/styles/material.css";
</style>

Seamless integration across leading UI frameworks

Effortlessly embed a full-featured Word Document Editor with minimal setup. Our solution is designed to work with all major frameworks, providing smooth and consistent integration across your entire stack.

  • Support for React, Angular, JavaScript, ASP.NET Core, ASP.NET MVC, and Blazor
  • Unified API for consistent development across platforms
  • Rich documentation with examples tailored to each framework

Robust document creation features

Produce professional-grade documents with rich text formatting, tables, images, and interactive form fields.

Our DOCX Editor SDK includes all the essential components needed to build professional documents with the same capabilities as Microsoft Word. From rich formatting to advanced layout tools, it’s built for precision and flexibility.

Easily export your documents in multiple formats to meet diverse workflow requirements:

  • DOCX – The standard format for editable documents

  • PDF – Ideal for sharing and long-term archiving

  • HTML – Great for web publishing and embedding

  • RTF – Suitable for legacy system compatibility

  • TXT – For extracting plain text content

Experience powerful exporting features

Templates allow you to enter or select information in a document within your browser. Effortlessly create dynamic DOCX templates directly within your web application.

  • Use input fields, drop-downs, checkboxes, and more.
  • Ideal for generating documents like employment contracts, insurance forms, onboarding checklists, medical intake records, and government applications.

Form fields examples

Advanced document automation

Generate and customize documents, streamline workflows, dynamically fill templates, run mail merge for bulk output, and ensure secure editing.

Template based generation.

Template-driven document generation

Easily populate user-uploaded DOCX templates with live data by binding inputs from forms, APIs, or databases. Users can preview the generated content, make edits as needed, and export the final document within the browser.

Bind UI to document example

Vue DOCX Editor mail merge at scale.

Bulk mail merge automation

Generate personalized documents at scale by importing datasets, automatically creating tailored content for each entry. Preview and export all documents in one go—ideal for HR letters, certificates, and customer communications.

Mail merge example

Secure and control editing in Vue DOCX Editor.

Secure DOCX editing controls

Maintain document integrity by locking specific sections of a DOCX template, allowing edits only in designated areas such as form fields. This ensures secure workflows and prevents unauthorized changes during automation or user interaction.

Document protection examples

Accessibility and global readiness

Vue Docx Editor Fully Accessible Ui image

Fully accessible UI

WCAG-compliant, keyboard navigation, high-contrast modes, and ARIA labels ensure inclusivity for users with disabilities.

Vue Docx Editor Multilingual Support image

Multilingual support

Comprehensive localization options and RTL support — UI can instantly switch between popular world languages.

Vue Docx Editor Screen Reader image

Screen reader compatibility

All document content and controls are accessible to screen readers.

Effortless integration & customization

Designed with developers in mind, the Vue Word Editor is easy to integrate, highly customizable, and scalable to fit your application’s needs.

  • Store documents locally or in the cloud with seamless integration into services like Azure Blob and Amazon S3 using our comprehensive APIs.
  • Fully customizable UI with support for themes, localization, and right-to-left (RTL) layouts.
  • Developer-centric design supported by thorough documentation and enterprise-grade assistance for streamlined onboarding.

Read the Docs

Talk to an Engineer

Industry-focused applications

Our Word Document Editor is customized to meet the specific demands of professionals in sectors like legal, healthcare, finance, and more—empowering them to create, review, and collaborate on documents with accuracy and regulatory compliance.

Get Started Now

No credit card required.

Vue Docx Editor Law And Contracts image

Streamline legal workflows with secure in-browser editing and review of contracts and proposals, complete with redlining, version comparison, and change tracking.

Vue Docx Editor Healthcare image

Healthcare

Healthcare professionals can safely create and manage medical notes and reports while ensuring HIPAA compliance, even in offline or high-security environments.

Vue Docx Editor Finance image

Finance

Finance teams can ensure accuracy, compliance, and expedited approvals by securely creating and exporting invoices, reports, and statements in DOCX or PDF formats.

Vue Docx Editor Education image

Education

Teachers and students can collaborate in real time to edit DOCX files with comments and version tracking, while schools publish well-formatted documents such as certificates and lesson plans.

Why Developers Love Syncfusion

Real-time stories reveal the true impact of our DOCX Editor SDK.

The best way to reflect our commitment is through the voices and experiences of those who’ve used it.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories

Limitless potential with a single editor

From automating contracts and grading exams to building form-driven applications, our Word Document Editor is built to handle it all. Join over one million developers who’ve already upgraded to enterprise-level document processing and discover why Syncfusion consistently leads in performance benchmarks.

Try it free now

No credit card required.

Endless possibilities with one Editor.

DOCX Editor SDK FAQs

If you’re new to the DOCX Editor SDK or have questions, our FAQs will help you explore its features and capabilities.

Frequently Asked Questions

A Vue DOCX Editor is a Word document editing component built for Vue applications that lets you create, view, and edit Microsoft Word (.DOCX) files directly in the browser. It includes a comprehensive set of word-processing features for crafting rich document-editing experiences.

A DOCX file is the standard document format used by Microsoft Word for text, images, tables, and formatting. You can open DOCX files using web-based editors like Syncfusion’s DOCX Editor SDK or desktop apps like Microsoft Word.

Absolutely, the Vue DOCX Editor supports advanced formatting, including text styles, tables, images, lists, hyperlinks, headers, footers, section breaks, and more.

Syncfusion’s Vue DOCX Editor supports both client-side and server-side operations. Advanced features require server-side processing, but you can deploy server-side components on your own infrastructure to keep documents secure.

Loading issues can result from unsupported formats or file corruption. Ensure your file is DOCX and not damaged. If issues continue, check the troubleshooting section.

The editor provides secure DOCX editing by converting DOCX files to SFDT format for client-side editing. While opening DOCX files requires server-side processing, you can deploy these components on your own infrastructure, ensuring your documents never leave your controlled environment.

You can open and save SFDT format natively client-side. Opening DOCX files requires server-side processing, while saving DOCX is client-side.

Import documentation

Export documentation

You can easily embed the editor in your web app and customize toolbars, menus, and features using robust APIs and extensive documentation.

Operation Supported File Types
Import/Open DOCX, DOC, DOTX, DOT, DOCM, DOTM, RTF, SFDT, TXT, XML, HTML
Export/Save DOCX, SFDT, TXT, DOTX
Additional Convert/Export* PDF, HTML, WordML, RTF, and others (may require server-side services)
  • SFDT is Syncfusion’s own format for seamless client-side editing and storage.
  • Conversions to and from formats like PDF and HTML are available but might require server-side processing for some workflows.

A web-based Vue DOCX Editor is an online document-editing component that allows users to create and modify Word documents directly within web applications, with no desktop software required.

Yes, Syncfusion Vue DOCX Editor offers collaborative editing through features like Track Changes, Comments, and revision support, enabling multiple users to review and work on the same document.

Yes, the Syncfusion Vue DOCX Editor ensures that all original formatting, layout, tables, and styles are preserved when you open, edit, and save DOCX files.

Yes, you can export your document to PDF with a built-in export feature, maintaining all formatting and layout.

WYSIWYG (What You See Is What You Get) means you see your document as it will appear when edited, printed or shared; all formatting and layout changes are displayed instantly in the editor.

Basic text editing is client-side, but some editing features require server-side processing, including paste with formatting, spell check, document protection, mail merge, and complex format conversions.

You can easily embed the editor in your web app and customize toolbars, menus, and features using robust APIs and extensive documentation.

Yes, Vue DOCX Editor supports deployment on major cloud platforms including Azure, AWS, Google Cloud, and other cloud providers.

Resources

Learn more about our Vue DOCX Editor

Explore demos, KB articles, and documentation to get the most out of our Vue Document Editor.

Documentation

Explore guides, APIs, and quick-start tips

Example demos

See live use cases in action

Community forum

Ask, share, and connect with peers

Knowledge base articles

Find solutions and best practices fast

Contact support

Get expert help when you need it

Feature requests and bug reports

Track issues and suggest improvements

Trusted by the Industry, Recognized for Excellence

We don’t just say we’re great—independent awards and industry leaders back it up. We are honored to be recognized for our product innovation, customer support, and overall excellence by top organizations worldwide.

Up arrow icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Unfortunately, activation email could not send to your email. Please try again.
Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Word Processor is a feature rich UI component with editing capabilities like Microsoft Word. Also known as the document editor, it is used to create, edit, view, and print Word documents. It provides all the common Word processing features including editing text, formatting contents, resizing images and tables, finding and replacing text, bookmarks, tables of contents, printing, and importing and exporting Word documents.

An overview of Angular Word Processor.


Why choose Syncfusion Angular Word Processor?

Angular Word Processor high performance

High performance

The Angular Word Processor has been designed and optimized for high performance.

Angular Word Processor MS word editor

Microsoft-Word-like editor

The Word Processor is a feature-rich Word document editor component. With it, you can add a Microsoft-Word-like word processing solution in your web application.

Angular Word Processor restrict editing

Restrict editing

The Word Processor allows you to restrict editing. When a protected document has range permissions, only a unique user or user group is authorized to modify a separate text area.

Angular Word Processor comments

Add notes using comments

You can add comments to documents using Document Editor. In both code and the UI, you may add, navigate, and remove comments.

Angular Word Processor track and review

Track and review changes

The track changes feature keeps a record of changes and edits made to a document. You can then accept or reject the changes. It is a useful tool for managing modifications made by multiple reviewers in the same document.

Angular Word Processor responsiveness

Create and fill a form

The Word Processor has an intuitive UI for creating fillable forms in documents by inserting legacy form fields, just like Microsoft Word. Once the document is protected with the FormFieldsOnly restriction, users can fill the form.

Angular Word Processor themes

Attractive, customizable themes

Cutting-edge design with several built-in themes, such as Fluent, Tailwind CSS, Bootstrap, Material, and Fabric. Utilize the online Theme Studio tool to customize themes of word processor easily.

Angular Word Processor globalization

Globalization and localization

Enable users from different locales to use the component by formatting dates, currency, and numbering to suit preferences.


Angular Word Processor Code Example

Easily get started with the Angular Word Processor using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular Word Processor Example that shows you how to configure the word processor in Angular.

<div class="control-section">
    <div>
        <div id="default_title_bar" class="e-de-ctn-title"></div>
        <div>
            <ejs-documenteditorcontainer #documenteditor_default [enableToolbar]=true [locale]="culture" (created)="onCreate()" (documentChange)="onDocumentChange()" height="600px" style="display:block;"></ejs-documenteditorcontainer>
        </div>
    </div>
</div>
import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { ToolbarService, DocumentEditorContainerComponent } from '@syncfusion/ej2-angular-documenteditor';
import { TitleBar } from './title-bar';
import { defaultDocument, WEB_API_ACTION } from './data';
import { isNullOrUndefined } from '@syncfusion/ej2-base';

@Component({
    selector: 'control-content',
    templateUrl: 'default.html',
    encapsulation: ViewEncapsulation.None,
    providers: [ToolbarService]
})
export class DocEditorComponent {
    public hostUrl: string = 'https://ej2services.syncfusion.com/production/web-services/';
    @ViewChild('documenteditor_default')
    public container: DocumentEditorContainerComponent;
    public culture: string = 'en-US';
    titleBar: TitleBar;

    onCreate(): void {
        let titleBarElement: HTMLElement = document.getElementById('default_title_bar');
        this.titleBar = new TitleBar(titleBarElement, this.container.documentEditor, true);
        this.container.serviceUrl = this.hostUrl + WEB_API_ACTION;
        this.container.documentEditor.open(JSON.stringify(defaultDocument));
        this.container.documentEditor.documentName = 'Getting Started';
        this.titleBar.updateDocumentTitle();
    }

    onDocumentChange(): void {
        if (!isNullOrUndefined(this.titleBar)) {
            this.titleBar.updateDocumentTitle();
        }
        this.container.documentEditor.focusIn();
    }
}

Open, edit and save

The Angular Word Processor (Document Editor) provides a new native file format called Syncfusion Document Text (*.sfdt). It helps maintain document import and export purely on the client-side.

An illustration of Microsoft Word compatibility.

Microsoft Word Compatible

Provides a .NET library that helps convert Word documents (DOCX, WordML, DOC, RTF, TXT) to SFDT format at server side.

Import SFDT documents in Angular Word Processor

Importing

Import the SFDT format document content from a local file or string.

Export documents as DOCX, SFDT in Angular Word Processor

Exporting

Export the document content to SFDT and DOCX formats as a blob or downloadable file.


Find and replace

The Angular Word Processor comes with a Microsoft Word-inspired navigation pane. It provides intuitive UI options to search text, navigate between the results, and replace it with other text.

Find and replace functionality in Angular Word Processor.


Printing

The Angular Word Processor allows users to print an entire document or a specific page directly from the browser.

Print document using Angular Word Processor


User-friendly interactions

Enjoy a smooth and user-friendly experience for mouse, touch, and keyboard interfaces.

Intuitive, touch-friendly selection in Angular Word Processor

Selection

Flexible selection options using mouse, touch, or Microsoft Word like keyboard shortcuts.

Interactive, touch-friendly scrolling in Angular Word Processor

Scrolling

Scroll multiple pages of a document rapidly.

Interactive, touch-friendly zooming in Angular Word Processor

Zooming

Interactively zoom in and zoom out the page contents. Users can easily change view to fit a page or page width.


Seamless editing

The Angular Word Processor provides seamless editing experience and offers intuitive and touch-friendly UI options like context menus, dialogs, and a navigation pane.

Cut, copy, and paste rich text in Angular Word Processor

Clipboard

Cut, copy, and paste of formatted content within the same document. Also paste plain text to and from other applications.

Undo and redo in Angular Word Processor

Undo and redo

Perform multiple levels of undo and redo operations.

Dialog in Angular Word Processor

Dialog

Insert document elements and apply advanced formatting options with ease.

Context menu in Angular Word Processor

Context menu

The context menu provides options to perform common editing actions. The list of actions is updated automatically based on the selection context.

Interactive image resizing in Angular Word Processor

Image resizing

Provides an awesome user experience to interactively resize an image using mouse or touch.

Interactive table resizing in Angular Word Processor

Table resizing

Adjust a row height or column width interactively.


Document elements

The Angular Word Processor includes all the commonly used document elements like text, images, tables, hyperlinks, bookmarks, table of contents, page fields, sections, headers, and footers.

Text

Create or edit documents with text in various languages.

Images

Easily browse for an image file or online image URL and insert text in line . Common raster image formats like PNG, BMP, JPEG, and GIF, are supported.

Table

Create simple or complex nested tables using built-in dialog. Also add or remove rows and columns, define header rows, merge, or resize cells depending on their contents.

Bookmarks

Mark a place in the document to find it again easily. Users can enter as many bookmarks as needed in the document and give each one a unique name to identify it.

Page fields

Add dynamic page numbers to a document that updates automatically.

Breaks

Use line break, page break, or section break to get the documents formatted better.

Link text for quick access to web page, file, email, bookmark, etc. Users can insert links using built-in dialog and Microsoft Word-inspired automatic conversion of text to link. Moreover, navigation can be customized to open the target from other applications.

Table of contents

Outline the headings in a document and easily navigate to it, and shows page numbers too. Users can customize it using built-in dialog.

Headers and footers

Easily add page numbers, dates, or author’s name at one place to be repeated at the top or bottom of each page. However, users can specify different headers or footers for the first page and odd and even pages of each section.


Formatting

The Angular Word Processor includes all the commonly used document formatting options.

Text formatting

Format text using bold, italics, underline, font family, size, color, highlight, subscript, superscript, and more.

Paragraph formatting

Format paragraphs with indentation, alignment, and spacing.

Bullets and numbering

Organize items or create an outline of a document with bullets and numbering. Both single and multilevel lists can be added.

Styles

Apply built-in styles to ensure consistency within a document. In addition, modify it or create custom styles. Both character and paragraph styles are supported.

Table formatting

Format the table with indent, alignment, cell margins and spacing, borders, shadings, row height, break row across pages, and more.

Page settings

Design the structure and layout of document pages in each section by customizing size, margins, header distance, footer distance, etc.


Angular version compatibility

With continuous improvement in Angular versions, the Angular Word Processor is kept up to date to make it compatible with the latest version.

Angular version compatibility.





Other supported frameworks

Word Processor is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Word Processor platforms from the links below,

Supported browsers

The Angular Word Processor works well with all modern web browsers such as Chrome, Firefox, Microsoft Edge, Safari, and Opera.

Supported browsers

80+ ANGULAR UI COMPONENTS

Frequently Asked Questions

  • Experience seamless and Microsoft Word like WYSIWYG editing capabilities.
  • Compatible with Microsoft Word file formats (DOC, DOCX) and other formats such as RTF and SFDT (Syncfusion Document Text) format files.
  • Offers highly intuitive user interfaces.
  • Designed and optimized for high performance in every aspect.
  • One of the best Angular Word Processor that offers feature-rich UI to interact with the software.
  • Simple configuration and API.
  • Supports all modern browsers.
  • Mobile-touch friendly and responsive.
  • Expansive learning resources such as demos and documentation to learn quickly and get started with Angular Word Processor.

You can find our Angular Word Processor demo, which demonstrates how to render and configure the Word Processor.

No, this is a commercial product and requires a paid license. However, a free community license is also available for companies and individuals whose organizations have less than $1 million USD in annual gross revenue and five or fewer developers.

A good place to start would be our comprehensive getting started documentation.

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version Download Free Trial

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion is proud to hold the following industry awards.

Up arrow icon

Warning Icon You are using an outdated version of Internet Explorer that may not display all features of this and other websites. Upgrade to Internet Explorer 8 or newer for a better experience.Close Icon

Live Chat Icon For mobile